Bug 970220 - man yum.conf still lists 'group_command=compat' as default (but it is objects)
man yum.conf still lists 'group_command=compat' as default (but it is objects)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Valentina Mukhamedzhanova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 14:11 EDT by Reartes Guillermo
Modified: 2015-02-18 06:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:11:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reartes Guillermo 2013-06-03 14:11:02 EDT
FROM: http://fedoraproject.org/wiki/Releases/19/FeatureList

Name:          Yum Groups as Objects
Completition:  100%
Description:   Change the default yum configuration from group_command=compat to group_command=objects.
Updated:       2013-05-07

FROM: http://fedoraproject.org/wiki/Features/YumGroupsAsObjects

Contingency Plan: 
 We can change the configuration default back to compat. 
 
FROM: '# man yum.conf'

group_command List of the following: simple, compat, objects. Tells yum what
to do for group install/upgrade/remove commands.

  Simple acts like you did yum group cmd $(repoquery --group --list group), 
  so it is vrery easy to reason about what will happen. Alas. this is often 
  not what people want to happen.

  Compat. works much like simple, except that when you run "group upgrade" 
  it actually runs "group install" (this means that you get any new packages
  added to the group, but you also get packages added that were there before 
  and you didn't want).

  Objects makes groups act like a real object, separate from the packages 
  they contain. Yum keeps track of the groups you have installed, so 
  "group upgrade" will install new packages for the group but not install 
  old ones. It also knows about group members that are installed but weren't
  installed as part of the group, and won't remove those on "group remove". 
  Running "yum upgrade" will also run "yum group upgrade" (thus. adding new 
  packages for all groups).

  Default is: compat
              
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Version: 
* F19b RC4
* man-pages.noarch  3.51-1.fc19
Comment 1 Peter Schiffer 2013-06-04 07:31:53 EDT
yum.conf man page is part of the yum package
Comment 2 Reartes Guillermo 2014-04-15 05:16:20 EDT
Tested with F20:
yum.noarch 3.4.3-137.fc20 @updates

Now 'man yum.conf' says:

> Default is: objects

So it looks fixed.


On a side note, i noticed that in the same man page there is a typo (also present in Comment #0). 

Simple acts like you did yum group cmd $(repoquery --group --list group), 
so it is 
vrery <<<<<<<<<<<<<<< TYPO
easy to reason about what will happen. Alas. this is often not what people want to happen.

Thanks.
Comment 3 Valentina Mukhamedzhanova 2014-10-09 04:41:22 EDT
Thank you, fixed the typo.
Comment 4 Fedora End Of Life 2015-01-09 17:34:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:11:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.